## reportbug 4.7ubuntu1

=== debian/changelog ===
reportbug (4.7ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - bin/reportbug
      + Make reportbug stop working for bts=ubuntu and refer to "ubuntu-bug"
        instead.
      + exit with an error, if bts=ubuntu (or unconfigured).
    - reportbug/__init__.py: Match reportbug version with package version.
    - debian/control: Add prominent note to package description.

 -- Scott Kitterman <scott@kitterman.com>  Wed, 09 Sep 2009 14:30:34 -0400

reportbug (4.7) unstable; urgency=low

  [ Sandro Tosi ]
  * reportbug/__init__.py
    - bump reportbug version
  * debian/control
    - replace python-gnome2-extras with python-gtkspell in Suggests; thanks to
      Josselin Mouette for the report; Closes: #541598
  * reportbug/ui/text_ui.py
    - nomore use writelines() when filtering, but loop over lines then decode an
      print one by one; thanks to Jakub Wilk for the report and Carl Chenet for
      the patch: Closes: #541791
    - correctly call search_bugs() when filtering bugs (now passing package
      too); thanks to Vincent Lefevre for the report and Carl Chenet for the
      patch: Closes: #541408, #542119
  * reportbug/utils.py
    - 'ldap' and 'no-ldap' options now issue a "Unrecognized token" warning:
       LDAP support is gone since years; thanks to martin f krafft for the
       report; Closes: #271057

  [ Luca Bruno ]
  * reportbug/ui/gtk_ui.py
    - wrap words when editing bug reports
    - workaround possible GTK+ regression to show the intro page
    - fix to menu to always display all menu options
  * bin/reportbug, reportbug/ui/*.py
    - fallback to text interface if a different UI can't be initialized; thanks
      to Colin S. Miller for the report; Closes: #534876

  [ Pierre Habouzit ]
  * Add support for the release.debian.org pseudo-package.

 -- Sandro Tosi <morph@debian.org>  Wed, 02 Sep 2009 23:12:16 +0200

reportbug (4.6ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes: LP: #414338
    - bin/reportbug
      + Make reportbug stop working for bts=ubuntu and refer to "ubuntu-bug"
        instead.
      + exit with an error, if bts=ubuntu (or unconfigured).
    - reportbug/__init__.py: Match reportbug version with package version.
    - debian/control: Add prominent note to package description.

 -- Bhavani Shankar <right2bhavi@gmail.com>  Sun, 16 Aug 2009 12:06:53 +0530

reportbug (4.6) unstable; urgency=low

  * reportbug/__init__.py
    - bump reportbug version
  * bin/querybts
    - allows to specify multiple bugs number with --mbox; thanks to Trent Buck
      for the report and Carl Chenet for the patch: Closes: #427560
  * reportbug/submit.py
    - added support for gnupg-agent with signing emails; thanks to Mathias
      Brodala or the report and Carl Chenet for the patch: Closes: #435818
  * bin/reportbug
    - allow ENTER to exit from file detaching menu (and enforced file checking);
      thanks to Rodrigo Campos for report and (partial) patch; Closes: 535789
    - do not exit if no subject is entered for new bugs, but keep asking it;
      thanks to Olaf van der Spek for the report and Carl Chenet for the patch;
      Closes: #537449
    - do not exit if no subject is entered for additional information, but keep
      asking it; thanks to Carl Chenet for the report and patch: Closes: #537624
    - configuration asks also if 'smtptls' is needed or not; thanks to Jerome
      Reybert for the report; Closes: #538021
    - allow to add tags to the bug even in the last menu (right before sending);
      thanks to Enrico Zini for the report and Carl Chenet for the patch;
      Closes: #304006
  * bin/querybts, man/querybts.1, reportbug/ui/text_ui.py
    - querybts is now able to handle multiple bug numbers, package names or any
      mix of them when using --mbox option; thanks to Carl Chenet for the report
      and patch; Closes: #535560
    - added -b/--buglist option to display a bugs list for the given package;
      thanks to Andrew Ferrier for the report and Carl Chenet for the patch;
      Closes: #222621
  * bin/reportbug, reportbug/ui/text_ui.py
    - provide a default reply subject ('Re: ' + <original subject>) when
      providing additional information to a bug report; thanks to Carl Chenet
      for the report and patch; Closes: #537929
  * reportbug/ui/text_ui.py
    - allow to open a browser with the complete packages' bugs list; thanks to
      Eduard Bloch for the report and to Carl Chenet for the patch;
      Closes: #166168
    - expand the ~ or any other environment variables in attachment file name;
      thanks to Andreas Pakulat, Raúl Sánchez Siles, Emil Nowak for the reports
      and to Carl Chenet for the patch; Closes: #376810, #414554, #451041
  * reportbug/submit.py, reportbug/ui/text_ui.py
    - if MUA returns an error, notify the user allowing to re-edit the mail
      (without loosing the mail); thanks to Raphaël Hertzog for the report and
      to Carl Chenet for the patch; Closes: #529251
  * reportbug/urlutils.py, debian/control
    - use xdg-open instead of sensible-browser to open URLs: it uses the
      selected browser in the desktop environment, else it falls back to s-b;
      thanks to Alexandre Fournier for the report; Closes: #536873

 -- Sandro Tosi <morph@debian.org>  Wed, 12 Aug 2009 10:57:03 +0200

reportbug (4.5ubuntu1) karmic; urgency=low

  * Merge from debian unstable (LP: #401925), remaining changes:
   - bin/reportbug
      + Make reportbug stop working for bts=ubuntu and refer to "ubuntu-bug" 
        instead.
      + exit with an error, if bts=ubuntu (or unconfigured).
    - reportbug/__init__.py: Match reportbug version with package version.
    - debian/control: Add prominent note to package description.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 20 Jul 2009 15:47:06 -0500

reportbug (4.5) unstable; urgency=low

  [ Sandro Tosi ]
  * reportbug/__init__.py
    - bump reportbug version
  * reportbug/debianbts.py


=== debian/control ===
Source: reportbug
Section: utils
Priority: standard
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>
Uploaders: Sandro Tosi <morph@debian.org>, Chris Lawrence <lawrencc@debian.org>
Standards-Version: 3.8.2
Build-Depends: debhelper (>= 7), po4a (>= 0.23), python (>= 2.5)
Build-Depends-Indep: python-support, python-nose, python-setuptools
XS-Python-Version: >= 2.5
Vcs-Git: git://git.debian.org/git/reportbug/reportbug.git
Vcs-Browser: http://git.debian.org/?p=reportbug/reportbug.git
Homepage: http://alioth.debian.org/projects/reportbug/

Package: reportbug
Architecture: all
Depends: ${python:Depends}, apt, python-reportbug (= ${source:Version})
Suggests: postfix | exim4 | mail-transport-agent, gnupg | pgp, debconf-utils (>> 1.1.0), debsums, file (>> 1.30), dlocate, python-urwid, python-gtk2, python-vte, python-gtkspell, xdg-utils
Conflicts: python-urwid (<< 0.9.8-1), python-central (<< 0.5.13)
XB-Python-Version: ${python:Versions}
Description: reports bugs in the Debian distribution
 reportbug is a tool designed to make the reporting of bugs in Debian
 and derived distributions relatively painless.  Its features include:
 .
  * Integration with mutt and mh/nmh mail readers.
  * Access to outstanding bug reports to make it easier to identify
    whether problems have already been reported.
  * Automatic checking for newer versions of packages.
  * Optional automatic verification of integrity of packages via debsums.
  * Support for following-up on outstanding reports.
  * Optional PGP/GnuPG integration.
 .
 reportbug is designed to be used on systems with an installed mail
 transport agent, like exim or sendmail; however, you can edit the
 configuration file and send reports using any available mail server.
 .
 This package also includes the "querybts" script for browsing the
 Debian bug tracking system.
 .
 REPORTBUG IS MEANT FOR UBUNTU DEVELOPERS TO FORWARD BUGS TO DEBIAN.
 IF YOU WANT TO REPORT A BUG IN UBUNTU, PLEASE USE "ubuntu-bug"
 INSTEAD (from the "apport" package).

Package: python-reportbug
Section: python
Architecture: all
Depends: ${python:Depends}, apt
Suggests: reportbug
XB-Python-Version: ${python:Versions}
Description: Python modules for interacting with bug tracking systems
 reportbug is a tool designed to make the reporting of bugs in Debian
 and derived distributions relatively painless.
 .
 This package includes Python modules which may be reusable by other
 tools that want to interact with the Debian bug tracking system.
 .
 To actually report a bug, install the reportbug package.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | sed 's/^Version: \([^+]*\).*/\1/')

build: build-stamp
build-stamp:
	dh_testdir

	# Test if versions are synchronized; this will bomb if not synced
	@python -c "import reportbug, sys; sys.exit(reportbug.VERSION_NUMBER != '$(VERSION)')" || (echo 'Please update reportbug/__version__'; exit 1)

	po4a po4a/po4a.cfg
	python setup.py build

	touch build-stamp

clean:
	dh_testdir
	dh_testroot

	python setup.py clean

	rm -rf `find . -name '*~' -o -name '.#*' -o -name '*.orig' -o -name '*.rej' -o -name '*.py[co]'` sed-script
	rm -rf build
	rm -rf reportbug.egg-info

	po4a --rm-translations po4a/po4a.cfg

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/reportbug.
	python setup.py install --root $(CURDIR)/debian/reportbug --install-layout=deb
	mv $(CURDIR)/debian/reportbug/usr/lib $(CURDIR)/debian/python-reportbug/usr
	chmod 0755 $(CURDIR)/debian/reportbug/usr/bin/*
	cp -p conf/reportbug.conf $(CURDIR)/debian/reportbug/etc

	cp -p debian/desktop $(CURDIR)/debian/reportbug/usr/share/applications/reportbug.desktop

	touch install-stamp

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installmenu
	dh_installman man/*
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_pysupport
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## reportbug 4.10.2ubuntu1

=== debian/changelog ===
reportbug (4.10.2ubuntu1) lucid; urgency=low

  * Merge from debian testing.  Remaining changes:
   - bin/reportbug
     + Make reportbug stop working for bts=ubuntu and refer to "ubuntu-bug"
       instead.
     + exit with an error, if bts=ubuntu (or unconfigured).
   - reportbug/__init__.py: Match reportbug version with package version.
   - debian/control: Add prominent note to package description
   - debian/rules: Do not install .desktop file.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sat, 13 Feb 2010 17:58:18 -0500

reportbug (4.10.2) unstable; urgency=low

  * reportbug/utils.py
    - allow 'Source' as pseudo-header; thanks to Cyril Brulebois for the report;
      Closes: #566989

 -- Sandro Tosi <morph@debian.org>  Tue, 26 Jan 2010 23:51:23 +0100

reportbug (4.10.1ubuntu3) lucid; urgency=low

  * reportbug/__init__.py: Update version string to match the one from
    debian/changelog (fixes FTBFS). 

 -- Michael Bienia <geser@ubuntu.com>  Sat, 06 Feb 2010 11:44:50 +0100

reportbug (4.10.1ubuntu2) lucid; urgency=low

  * debian/rules: do not install .desktop file, so it won't show up in the
    desktop menu anymore (LP: #395126) 

 -- Daniel Hahler <ubuntu@thequod.de>  Thu, 04 Feb 2010 02:07:22 +0100

reportbug (4.10.1ubuntu1) lucid; urgency=low

  * Merge from debian testing. Remaining changes:
    - bin/reportbug
      + Make reportbug stop working for bts=ubuntu and refer to "ubuntu-bug"
        instead.
      + exit with an error, if bts=ubuntu (or unconfigured).
    - reportbug/__init__.py: Match reportbug version with package version.
    - debian/control: Add prominent note to package description

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Wed, 27 Jan 2010 13:57:02 -0500

reportbug (4.10.1) unstable; urgency=low

  * bin/reportbug
    - import LICENSE from reportbug, so --license won't trigger an error
  * reportbug/utils.py
    - fix broken '--mutt' CLI/config-file option by using a new variable, adding
      the 'mutt' 'if' branch, and the 'get_name()' in MUA class; thanks to
      Julien Cristau for the report; Closes: #564253

 -- Sandro Tosi <morph@debian.org>  Mon, 11 Jan 2010 19:56:44 +0100

reportbug (4.10) unstable; urgency=low

  * conf/reportbug.conf, man/reportbug.conf.5
    - added 'keyid' documentation; thanks to gregor herrmann for the report and
      to Carl Chenet for the partial patch; Closes: #558364
  * bin/querybts
    - use optparse instead of getopt to parse CLI options and arguments;
      Closes: #559677
    - warn users for options not available in querybts (because they are
      reportbug-only); thank to Marc-Jano Knopp, Josh Triplett and Tim Connors
      for the reports and to Carl Chenet for the patch; Closes: #501285
  * reportbug/ui/text_ui.py
    - if help option is selected in debconf values inclusion menu, the second
      message doesn't contain newline, it's fixed now; thanks to Miroslaw
      Zalewski for the report; Closes: #560302
    - retrieve the package information from the report using doing a lower-case
      check; thanks to Dan Greene for the report; Closes: #562912
    - expanded the previous fix to consider either bugs submitted against the
      binary (pseudo-header 'Package') or the source (pseudo-header 'Source')
      package; thanks to Laurent Fousse for the report; Closes: #559065
  * share/presubj
    - refer to reportbug.d.o instead of bugs.d.o as SMTP server; thanks to Karl
      Goetz for the report and patch; Closes: #561802
  * doc/README.{developers, source}
    - fix them to be valid reStrucuturedText files; thanks to Jakub Wilk for the
      report; Closes: #563051
  * debian/{control,rules,source.lintian-overrides}, man/reportbug.ja.1, po4a/*
    - removed l10n contents: they were always outdated and just a restrict set
      of the languages Debian supports
  * man/{querybts.1, reportbug.1}
    - removed NOTE about Python's getopt: both tools are now using optparse
      module to retrieve CLI parameters
  * bin/reportbug
    - notify the user that editing the report with a MUA in the last menu will
      loose every attachements; thanks to Guido Trotter for the report and to
      those that follow it up; Closes: #211808
    - add the possibility to specify the X-Debbugs-CC in the menu before report
      submission; thanks to Sean Finney, Michael Gilbert and Branden Robinson
      for the report and to Carl Chenet for the patch; Closes: #349690
    - clarified that the saved report to a temporary file can also be recovered
      copying the text into a MUA and send the bug from there; thanks to Nelson
      A. de Oliveira for the report; Closes: #405093
    - don't present configuration if using '-f' cli option; thanks to Ross
      Boylan for the report and to Carl Chenet for the patch; Closes: #372250
    - in case the package bug script exited with a non-0 return code, reportbug
      now asks if still reporting or stop; thanks to martin f krafft for the
      report; Closes: #382010
  * man/reportbug.conf.5
    - clarified the configuration files has to be UTF-8 documents; thanks to
      Anders Lageras for the report; Closes: #417054
  * reportbug/ui/urwid_ui.py
    - when retrieving a string, also show a default text (if preset), useful in
      particular with --configure to see the current values for realname and
      email; thanks to Andrei Popescu for the report; Closes: #526631
    - clarified the menu showing bugs already present, changing the title and
      the buttons; thanks to Nick for the report; Closes: #462614
  * reportbug/{submit.py, utils.py}, share/reportbug.el, doc/README.Users,
    debian/control
    - MUA handling now done with a OO-style, reworked emacs integration to use
      emacsclient to reuse an existing emacs instance (if any); thanks to Dan
      Jacobson for the report and Håkon Stordahl for the patch; Closes: #367298
  * bin/reportbug, man/reportbug.1
    - clarified the option -o/--output output the full mail dump (headers and


=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>, Chris Lawrence <lawrencc@debian.org>
-Standards-Version: 3.8.2
-Build-Depends: debhelper (>= 7), po4a (>= 0.23), python (>= 2.5)
+Standards-Version: 3.8.3
+Build-Depends: debhelper (>= 7), python (>= 2.5)
 Build-Depends-Indep: python-support, python-nose, python-setuptools
 XS-Python-Version: >= 2.5
 Vcs-Git: git://git.debian.org/git/reportbug/reportbug.git
@@ -14,9 +14,9 @@
 
 Package: reportbug
 Architecture: all
-Depends: ${python:Depends}, apt, python-reportbug (= ${source:Version})
-Suggests: postfix | exim4 | mail-transport-agent, gnupg | pgp, debconf-utils (>> 1.1.0), debsums, file (>> 1.30), dlocate, python-urwid, python-gtk2, python-vte, python-gtkspell, xdg-utils
-Conflicts: python-urwid (<< 0.9.8-1), python-central (<< 0.5.13)
+Depends: ${misc:Depends}, ${python:Depends}, apt, python-reportbug (= ${source:Version})
+Suggests: postfix | exim4 | mail-transport-agent, gnupg | pgp, debconf-utils (>> 1.1.0), debsums (>= 2.0.47), file (>> 1.30), dlocate, python-urwid, python-gtk2, python-vte, python-gtkspell, xdg-utils, emacs22-bin-common | emacs23-bin-common
+Conflicts: python-urwid (<< 0.9.8-1), python-central (<< 0.5.13), debsums (<< 2.0.47)
 XB-Python-Version: ${python:Versions}
 Description: reports bugs in the Debian distribution
  reportbug is a tool designed to make the reporting of bugs in Debian
@@ -44,7 +44,7 @@
 Package: python-reportbug
 Section: python
 Architecture: all
-Depends: ${python:Depends}, apt
+Depends: ${misc:Depends}, ${python:Depends}, apt
 Suggests: reportbug
 XB-Python-Version: ${python:Versions}
 Description: Python modules for interacting with bug tracking systems

## reportbug 4.12.4ubuntu1

=== debian/changelog ===
reportbug (4.12.4ubuntu1) maverick; urgency=low

  * Merge from debian unstable. (LP: #600917) Remaining changes:
    - bin/reportbug
     + Make reportbug stop working for bts=ubuntu and refer to "ubuntu-bug"
       instead.
     + exit with an error, if bts=ubuntu (or unconfigured).
   - reportbug/__init__.py: Match reportbug version with package version.
   - debian/control: Add prominent note to package description
   - debian/rules: Do not install .desktop file.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Fri, 02 Jul 2010 11:42:58 +0530

reportbug (4.12.4) unstable; urgency=low

  * man/reportbug.1
    - fixed documentation for '--no-tags-menu', wrongly associated to
      '--no-bug-script'; thanks to Jakub Wilk for the report; Closes: #584964
  * bin/reportbug
    - fix the crash when asking for tags menu after editing of bug body; thanks
      to Christoph Anton Mitterer for the report; Closes: #586044

 -- Sandro Tosi <morph@debian.org>  Thu, 01 Jul 2010 20:56:57 +0200

reportbug (4.12.3ubuntu1) maverick; urgency=low

  * Merge from debian unstable. Remaining changes:
   - bin/reportbug
     + Make reportbug stop working for bts=ubuntu and refer to "ubuntu-bug"
       instead.
     + exit with an error, if bts=ubuntu (or unconfigured).
   - reportbug/__init__.py: Match reportbug version with package version.
   - debian/control: Add prominent note to package description
   - debian/rules: Do not install .desktop file.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Thu, 10 Jun 2010 11:24:24 -0400

reportbug (4.12.3) unstable; urgency=low

  * reportbug/utils.py
    - convert the config file name to UTF-8, avoinding a crash; thanks to Anders
      Lagerås for the report and to Carl Chenet for the patch; Closes: #578085
  * bin/reportbug
    - when configuring, show the complete text about SMTP host (part was hidden
      if using GTK+ UI); thanks to Elie De Brauwer for the report and patch;
      Closes: #583292
  * bin/reportbug, reportbug/{debianbts.py, utils.py}
    - don't present suite tags ('sid', 'lenny', etc) when running in modes lower
      than 'advanced'; thanks to Julien Cristau for the report; Closes: #583890
  * reportbug/ui/gtk2_ui.py
    - ask confirmation to user when closing reportbug using GTK+ UI; thanks to
      Matej Zary for the report; Closes: #574843
  * checks/compare_pseudo-pkgs_lists.py
    - make it work again, with a dirty trick (import 'utils' before 'debianbts')
  * reportbug/debianbts.py
    - removed some (commented) cruft for pseudo-packages list
    - added 'debian-maintainers' and 'snapshot.debian.org' to the
      pseudo-packages list

 -- Sandro Tosi <morph@debian.org>  Mon, 07 Jun 2010 20:59:28 +0200

reportbug (4.12.2ubuntu1) maverick; urgency=low

  * Merge from debian unstable.  Remaining changes:
   - bin/reportbug
     + Make reportbug stop working for bts=ubuntu and refer to "ubuntu-bug"
       instead.
     + exit with an error, if bts=ubuntu (or unconfigured).
   - reportbug/__init__.py: Match reportbug version with package version.
   - debian/control: Add prominent note to package description
   - debian/rules: Do not install .desktop file.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Tue, 25 May 2010 23:45:58 -0400

reportbug (4.12.2) unstable; urgency=low

  * bin/reportbug
    - don't try to map package to source when using --from-buildd, and also
      force version set; thanks to Cyril Brulebois for reporting this (on IRC)
      and testing preliminary patches
    - correctly pass the 'timeout' parameter to 'check_built'; thanks to Daniel
      Bolton for the report and to Milan Vancura for the patch; Closes: #580382
  * reportbug/utils.py
    - generate a list of pseudoheaders (without duplicates), so that when
      writing them into the report body they are not repeated; thanks to Cyril
      Brulebois for the report; Closes: #579597
  * reportbug/ui/gtk2_ui.py
    - retrieve the 'presubj' keyword argument (passed when we have to show the
      presubj file), fixing a crash; thanks to Michael Schmitt for the report;
      Closes: #578711

 -- Sandro Tosi <morph@debian.org>  Wed, 12 May 2010 19:21:22 +0200

reportbug (4.12.1ubuntu1) maverick; urgency=low

  * Merge from debian unstable.  Remaining changes:
   - bin/reportbug
     + Make reportbug stop working for bts=ubuntu and refer to "ubuntu-bug"
       instead.
     + exit with an error, if bts=ubuntu (or unconfigured).
   - reportbug/__init__.py: Match reportbug version with package version.
   - debian/control: Add prominent note to package description
   - debian/rules: Do not install .desktop file.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Mon, 10 May 2010 20:31:35 -0400

reportbug (4.12.1) unstable; urgency=low

  * reportbug/utils.py
    - only take file name and md5sum from Conffile from dpkg --status; thanks to
      all the reporters; Closes: #577986
  * reportbug/ui/text_ui.py
    - pass 'timeout' to search_bug, needed when filtering bugs; thanks to Matt
      Kraai for the report and patch; Closes: #578505

 -- Sandro Tosi <morph@debian.org>  Thu, 22 Apr 2010 21:59:02 +0200

reportbug (4.12) unstable; urgency=low

  * reportbug/debianbts.py
    - fix description for 'experimental' tag; thanks to Raphael Rigo for the
      report; Closes: #575044
    - check the available packages (not only the installed ones) when reporting
      a wnpp bug; thanks to Filippo Giunchedi for the report; Closes: #565435
  * bin/reportbug
    - removed the information that an empty subject would stop the report: it
      will continue until entered or Ctrl+c; thanks Torquil Macdonald Sørensen
      for the report; Closes: #575450
    - keep presenting the severity menu until one is selected (prevent a crash
      with urwid UI and Cancel button); thanks to Noah Slater for the report;
      Closes: #461908
    - treat every FTBFS bug (pseudo-severity 'does-not-build') as 'serious' but


=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>, Chris Lawrence <lawrencc@debian.org>
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Build-Depends: debhelper (>= 7), python (>= 2.5)
 Build-Depends-Indep: python-support, python-nose, python-setuptools
 XS-Python-Version: >= 2.5

## reportbug 4.12.6

=== debian/changelog ===
reportbug (4.12.6) unstable; urgency=low

  * reportbug/debianbts.py
    - fix a typo to properly recognize free-exception; thanks to Jakub Wilk for
      the report; Closes: #592138

 -- Sandro Tosi <morph@debian.org>  Sat, 07 Aug 2010 22:02:57 +0200

reportbug (4.12.5) unstable; urgency=low

  * bin/reportbug
    - add a warning we are actually working (and not blocked) when executing bug
      script; thanks to Arthur Marsh for the report; Closes: #587952
    - clarified that not specifying an SMTP host, the one from Debian will be
      used; thanks to Andrei Popescu for the report; Closes: #590306
  * reportbug/submit.py
    - fixed a typo: 'receive'/'received'; thanks to Joey Hess for the report;
      Closes: #588198
    - properly catch multiple exceptions; thanks to Jakub Wilk for spotting it
  * bin/reportbug, man/reportbug.1
    - support globbing when attachments are allowed (so both command-line args
      and sub-menus); thanks to Josh Triplett for the report: Closes: #452648
  * doc/README.Users
    - clarified the usage terms for reportbug.debian.org
  * debian/control
    - bump Standards-Version to 3.9.1 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Fri, 06 Aug 2010 15:15:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: reportbug
 Section: utils
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>
+Maintainer: Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>, Chris Lawrence <lawrencc@debian.org>
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Build-Depends: debhelper (>= 7), python (>= 2.5)
 Build-Depends-Indep: python-support, python-nose, python-setuptools
 XS-Python-Version: >= 2.5
@@ -36,10 +35,6 @@
  .
  This package also includes the "querybts" script for browsing the
  Debian bug tracking system.
- .
- REPORTBUG IS MEANT FOR UBUNTU DEVELOPERS TO FORWARD BUGS TO DEBIAN.
- IF YOU WANT TO REPORT A BUG IN UBUNTU, PLEASE USE "ubuntu-bug"
- INSTEAD (from the "apport" package).
 
 Package: python-reportbug
 Section: python

=== debian/rules ===
--- 
+++ 
@@ -4,15 +4,19 @@
 #export DH_VERBOSE=1
 
 VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | sed 's/^Version: \([^+]*\).*/\1/')
+DISTRO := $(shell dpkg-parsechangelog | egrep '^Distribution:' | sed 's/^Distribution: \([^+]*\).*/\1/')
+REPORTBUG_VERSION := $(shell python -c "import reportbug; print reportbug.VERSION_NUMBER")
 
 build: build-stamp
 build-stamp:
 	dh_testdir
 
-	# Test if versions are synchronized; this will bomb if not synced
-	@python -c "import reportbug, sys; sys.exit(reportbug.VERSION_NUMBER != '$(VERSION)')" || (echo 'Please update reportbug/__version__'; exit 1)
+	# Test if versions are synchronized (only if releasing); this will bomb if not synced
+	if [ "$(DISTRO)" != "UNRELEASED" -a "$(REPORTBUG_VERSION)" != "$(VERSION)" ] ; \
+	then \
+		echo 'Please update VERSION_NUMBER variable in reportbug/__init__.py'; exit 1 ; \
+	fi
 
-	po4a po4a/po4a.cfg
 	python setup.py build
 
 	touch build-stamp
@@ -26,8 +30,6 @@
 	rm -rf `find . -name '*~' -o -name '.#*' -o -name '*.orig' -o -name '*.rej' -o -name '*.py[co]'` sed-script
 	rm -rf build
 	rm -rf reportbug.egg-info
-
-	po4a --rm-translations po4a/po4a.cfg
 
 	dh_clean

## reportbug 4.12.6ubuntu1

=== debian/changelog ===
reportbug (4.12.6ubuntu1) natty; urgency=low

  * Merge from debian unstable. Remaining changes:
    - bin/reportbug
     + Make reportbug stop working for bts=ubuntu and refer to "ubuntu-bug"
       instead.
     + exit with an error, if bts=ubuntu (or unconfigured).
   - reportbug/__init__.py: Match reportbug version with package version.
   - debian/control: Add prominent note to package description
   - debian/rules: Do not install .desktop file.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Tue, 19 Oct 2010 10:30:04 +0530

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: reportbug
 Section: utils
 Priority: standard
-Maintainer: Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>, Chris Lawrence <lawrencc@debian.org>
 Standards-Version: 3.9.1
 Build-Depends: debhelper (>= 7), python (>= 2.5)
@@ -35,6 +36,10 @@
  .
  This package also includes the "querybts" script for browsing the
  Debian bug tracking system.
+ .
+ REPORTBUG IS MEANT FOR UBUNTU DEVELOPERS TO FORWARD BUGS TO DEBIAN.
+ IF YOU WANT TO REPORT A BUG IN UBUNTU, PLEASE USE "ubuntu-bug"
+ INSTEAD (from the "apport" package).
 
 Package: python-reportbug
 Section: python

## reportbug 4.12.6+deb6u1

=== Makefile ===
#! /usr/bin/make -f

# Makefile
# Part of reportbug, a Debian bug reporting tool.
#
# Copyright © 2008 Ben Finney <ben+debian@benfinney.id.au>
# This is free software; you may copy, modify and/or distribute this work
# under the terms of the GNU General Public License, version 2 or later.
# No warranty expressed or implied. See the file LICENSE for details.

# Makefile for reportbug project

SHELL = /bin/bash
PATH = /usr/bin:/bin

# Directories with semantic meaning
CODE_PACKAGE_DIR := .
CODE_PROGRAM_DIR := .
TEST_DIR := test

# Variables that will be extended by module include files
GENERATED_FILES :=
CODE_MODULES :=
CODE_PROGRAMS :=

# List of modules (directories) that comprise our 'make' project
MODULES += ${CODE_PACKAGE_DIR}
MODULES += ${TEST_DIR}

RM = rm


.PHONY: all
all: build

.PHONY: build
build:

.PHONY: install
install: build


.PHONY: clean
clean:
	$(RM) -rf ${GENERATED_FILES}


.PHONY: test
test:

.PHONY: qa
qa:

# Include the make data for each module
include $(patsubst %,%/module.mk,${MODULES})

.PHONY: checks
checks:
	PYTHONPATH=. $(PYTHON) checks/compare_pseudo-pkgs_lists.py

=== debian/changelog ===
reportbug (4.12.6+deb6u1) squeeze-lts; urgency=low

  * Non-maintainer upload for squeeze-lts.
  * CVE-2014-0479: Arbitrary code execution in compare_versions.
    A man-in-the-middle attacker could put shell metacharacters in the
    version number, causing execution of code of their choice.
    Thanks to Jakub Wilk <jwilk@debian.org>
  * Thus add python-debian to python-reportbug's depends.

 -- Holger Levsen <holger@debian.org>  Thu, 07 Aug 2014 15:43:57 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: reportbug
 Section: utils
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>
+Maintainer: Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>, Chris Lawrence <lawrencc@debian.org>
 Standards-Version: 3.9.1
 Build-Depends: debhelper (>= 7), python (>= 2.5)
@@ -36,15 +35,11 @@
  .
  This package also includes the "querybts" script for browsing the
  Debian bug tracking system.
- .
- REPORTBUG IS MEANT FOR UBUNTU DEVELOPERS TO FORWARD BUGS TO DEBIAN.
- IF YOU WANT TO REPORT A BUG IN UBUNTU, PLEASE USE "ubuntu-bug"
- INSTEAD (from the "apport" package).
 
 Package: python-reportbug
 Section: python
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, apt
+Depends: ${misc:Depends}, ${python:Depends}, apt, python-debian
 Suggests: reportbug
 XB-Python-Version: ${python:Versions}
 Description: Python modules for interacting with bug tracking systems

## reportbug 5.1.1ubuntu1

=== Makefile ===
#! /usr/bin/make -f

NOSETESTS = nosetests test -v
nosetests_cmd = $(NOSETESTS) ${NOSETESTS_OPTS}

.PHONY: checks
checks:
	PYTHONPATH=. $(PYTHON) checks/compare_pseudo-pkgs_lists.py

.PHONY: tests
tests:
	$(nosetests_cmd)

coverage: NOSETESTS_OPTS += --with-coverage --cover-package=reportbug
coverage:
	$(nosetests_cmd)

codechecks: pep8 pyflakes pylint

pep8:
	pep8 --verbose --repeat --show-source --filename=*.py,reportbug,querybts . --statistics

pyflakes:
	pyflakes . bin/*

pylint:
	pylint --output-format=colorized  bin/* reportbug/ checks/* test/ setup.py

=== debian/changelog ===
reportbug (5.1.1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - bin/reportbug
     + Make reportbug stop working for bts=ubuntu and refer to "ubuntu-bug"
       instead.
     + exit with an error, if bts=ubuntu (or unconfigured).
   - reportbug/__init__.py: Match reportbug version with package version.
   - debian/control: Add prominent note to package description
   - debian/rules: Do not install .desktop file.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 07 May 2011 14:03:27 +0530

reportbug (5.1.1) unstable; urgency=low

  * reportbug/ui/text_ui.py
    - remove spurious function call in text UI when there are no bug report;
      Thanks to Kan-Ru Chen for the report and patch; Closes: #624563

 -- Sandro Tosi <morph@debian.org>  Mon, 02 May 2011 08:52:51 +0200

reportbug (5.1) unstable; urgency=low

  * Makefile
    - add 'codechecks' target to run tools to check source code
  * reportbug/checkversions.py, debian/control
    - use new.822 to get information about NEW packages; Closes: #510171
    - added python-debian to python-reportbug Depends, needed to parse new.822
  * reportbug/debianbts.py
    - add support for 'wheezy' tag; thanks to Mehdi Dogguy for the report;
      Closes: #623375
    - offer 'security' tag also for users with mode >= ADVANCED; thanks to
      Moritz Muehlenhoff for the report; Closes: #617605
  * reportbug/ui/text_ui.py
    - check if there are no reports (or a problem occurred), than don't try to
      parse the bugs list; thanks to Erik de Castro Lopo for the report;
      Closes: #622338
  * reportbug/bugreport.py + unittests
    - the followup information must be an integer: try to convert it or raise an
      exception; prevents a crash when following-up to an existing report using
      GTK+ UI; thanks to all the reporters; Closes: #619801
  * reportbug/urlutils.py
    - make the 'xdg-open' existance check be silent also when sh=dash; thanks to
      RjY for the report and patch; Closes: #616523
  * bin/reportbug, reportbug/utils.py, man/reportbug.*
    - added a new cli options, --max-attachment-size (also available in the
      config file), to limit the size of any attachment (or --body-file) to the
      specified value, in byte; thanks to Lionel Elie Mamane for the report and
      to Carl Chanet for the initial patch; Closes: #528720
  * reportbug/utils.py
    - filter out packages in "installed ok not-installed" state before trying to
      retrieve their information; thanks to all the reporters; Closes: #616455
  * debian/control
    - bump Standards-Version to 3.9.2 (no changes needed)
    - removed Conflicts, no more needed (versions are lower than stable)
    - removed XB-P-V, it was never useful

 -- Sandro Tosi <morph@debian.org>  Thu, 28 Apr 2011 23:54:51 +0200

reportbug (5.0) unstable; urgency=low

  * Upload to unstable

 -- Sandro Tosi <morph@debian.org>  Tue, 01 Mar 2011 21:56:39 +0100

reportbug (4.99.0) experimental; urgency=low

  * Completely rewritten the unittest suite
  * reportbug/debianbts.py
    - automatically convert a partial removal from testing in a partial removal
      from unstable; thanks to Adam D. Barratt for support while developing the
      patch and Russ Allbery for the report; Closes: #597359
  * bin/reportbug, reportbug/{debianbts.py, utils.py}
    - added support for ftp.debian.org override requests; added support for
      'Section' information, reorganized ftp.d.o code to support 'override'
      along with normal RM requests; thanks to Emilio Pozuelo Monfort for the
      report; Closes: #568980
  * reportbug/utils.py
    - fixed a typo; thanks to Jakub Wilk for the report and patch;
      Closes: #599363
    - call dpkg with '--print-architecture' option to get the arch; thanks to
      Jakub Wilk for the report; Closes: #599362
    - commands.getoutput() strips tailing new line, so adding one to
      lsb_release_info; thanks to Yaroslav Halchenko for (partial) patch
    - pass follow-up information on the correct bugreport() argument, so that
      the message is correctly formatter (+unittests to check about that);
      thanks to Jakub Wilk for the report; Closes: #533914
    - check only if the package is in 'install' selection state, not if it's
      completely installed ('half-installed' state is ok), to retrive its
      information; thanks to Lionel Elie Mamane for the report; Closes: #579159
  * reportbug/debianbts.py, test/test_debianbts.py
    - fix os.uname() call in generic_infofunc() method, also adding unit tests
      for it; thanks to Yaroslav Halchenko for report and patch; Closes: #607849
  * bin/reportbug, reportbug/ui/gtk2_ui.py
    - warn that bug reports are publicly archive (email address included);
      thanks to Holger Levsen for the report; Closes: #605892
  * reportbug/ui/gtk2_ui.py
    - fix a crash in case when the pre-subject text contains '%', that got
      interpreted as special sequences; thanks to Mike Miller for the report and
      patch; Closes: #594354
    - some text is already "wrapped" in the code, so let's recompose it on a
      single-line so that GTK+ widgets wrap&fill shows a nice output; thanks to
      Éric Araujo for the report; Closes: #564449
  * add feature to retrieve a mbox of a bug report and open it in a MUA; thanks
    to Josh Triplett for the report and to Rafael Cunha de Almeida for the
    patch; Closes: #458735
  * bin/reportbug
    - don't specify 'ITP' when warning a WNPP bug has lines unchanged from the
      template; thanks to Jonas Stein for the report; Closes: #598161
    - reworded the request to insert bug report subject; thanks to A. Costa for
      the report and proposed text; Closes: #578033
    - now also 'recommends' and 'suggests' packages are reported when using
      'report-with' control file field; thanks to Mike Hommey fro the report;
      Closes: #570939
    - decode subject (if present) using the current charset; thanks to Jakub


=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: reportbug
 Section: utils
 Priority: standard
-Maintainer: Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>, Chris Lawrence <lawrencc@debian.org>
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Build-Depends: debhelper (>= 7), python (>= 2.5)
 Build-Depends-Indep: python-support, python-nose, python-setuptools
 XS-Python-Version: >= 2.5
@@ -15,8 +16,6 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}, apt, python-reportbug (= ${source:Version})
 Suggests: postfix | exim4 | mail-transport-agent, gnupg | pgp, debconf-utils (>> 1.1.0), debsums (>= 2.0.47), file (>> 1.30), dlocate, python-urwid, python-gtk2, python-vte, python-gtkspell, xdg-utils, emacs22-bin-common | emacs23-bin-common
-Conflicts: python-urwid (<< 0.9.8-1), python-central (<< 0.5.13), debsums (<< 2.0.47)
-XB-Python-Version: ${python:Versions}
 Description: reports bugs in the Debian distribution
  reportbug is a tool designed to make the reporting of bugs in Debian
  and derived distributions relatively painless.  Its features include:
@@ -35,13 +34,16 @@
  .
  This package also includes the "querybts" script for browsing the
  Debian bug tracking system.
+ .
+ REPORTBUG IS MEANT FOR UBUNTU DEVELOPERS TO FORWARD BUGS TO DEBIAN.
+ IF YOU WANT TO REPORT A BUG IN UBUNTU, PLEASE USE "ubuntu-bug"
+ INSTEAD (from the "apport" package).
 
 Package: python-reportbug
 Section: python
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}, apt, python-debian
 Suggests: reportbug
-XB-Python-Version: ${python:Versions}
 Description: Python modules for interacting with bug tracking systems
  reportbug is a tool designed to make the reporting of bugs in Debian
  and derived distributions relatively painless.

=== debian/rules ===
--- 
+++ 
@@ -46,8 +46,6 @@
 	chmod 0755 $(CURDIR)/debian/reportbug/usr/bin/*
 	cp -p conf/reportbug.conf $(CURDIR)/debian/reportbug/etc
 
-	cp -p debian/desktop $(CURDIR)/debian/reportbug/usr/share/applications/reportbug.desktop
-
 	touch install-stamp
 
 # Build architecture-dependent files here.
